Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/metadata-schemas/{metadataSchemaId}{
"id": "ms_f1r5Tm3ta6a4a5ch3ma",
"related_object": "order",
"properties": {
"region": {
"type": "string",
"array": false,
"optional": true,
"object_type": null,
"eq": [
"EU",
"US",
"EMEA",
"APAC"
]
},
"location_id": {
"type": "string",
"array": true,
"optional": true,
"object_type": null,
"eq": [
"L1",
"L2",
"L3"
]
},
"payment_mean": {
"type": "string",
"array": true,
"optional": true,
"object_type": null,
"eq": [
"credit-card",
"wire-transfer",
"paypal"
]
},
"booking_end_date": {
"type": "datetime",
"array": false,
"optional": true,
"object_type": null
},
"booking_start_date": {
"type": "datetime",
"array": false,
"optional": true,
"object_type": null
}
},
"allow_defined_only": false,
"created_at": "2023-08-03T10:37:48.662Z",
"updated_at": "2023-08-28T11:24:43.518Z",
"object": "metadata_schema"
}Retrieves a metadata schema.
๐ Metadata Documentation
Read the Getting Started with Metadata and Metadata Mapping articles to learn how metadata work in Voucherify.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/metadata-schemas/{metadataSchemaId}{
"id": "ms_f1r5Tm3ta6a4a5ch3ma",
"related_object": "order",
"properties": {
"region": {
"type": "string",
"array": false,
"optional": true,
"object_type": null,
"eq": [
"EU",
"US",
"EMEA",
"APAC"
]
},
"location_id": {
"type": "string",
"array": true,
"optional": true,
"object_type": null,
"eq": [
"L1",
"L2",
"L3"
]
},
"payment_mean": {
"type": "string",
"array": true,
"optional": true,
"object_type": null,
"eq": [
"credit-card",
"wire-transfer",
"paypal"
]
},
"booking_end_date": {
"type": "datetime",
"array": false,
"optional": true,
"object_type": null
},
"booking_start_date": {
"type": "datetime",
"array": false,
"optional": true,
"object_type": null
}
},
"allow_defined_only": false,
"created_at": "2023-08-03T10:37:48.662Z",
"updated_at": "2023-08-28T11:24:43.518Z",
"object": "metadata_schema"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Provide the unique identifier of the metadata schema.
"ms_f0r4hm3ta6a4a5ch3ma"
Returns the metadata schema.
Response body schema for GET management/v1/projects/{projectId}/metadata-schemas/{metadataSchemaId}.
Unique identifier of the metadata schema.
The resource type. You can define custom metadata schemas, which have a custom "related_object" resource type. The standard metadata schemas are: "campaign", "customer", "earning_rule", "loyalty_tier", "order", "order_item", "product", "promotion_tier", "publication", "redemption", "reward", "voucher".
Contains metadata definitions.
Show child attributes
Restricts the creation of metadata fields when set to true. It indicates whether or not you can create new metadata definitions, e.g. in the campaign or publication manager. If set to true, then only the defined fields are available for assigning values.
Timestamp representing the date and time when the metadata schema was created. The value for this parameter is shown in the ISO 8601 format.
"2021-12-03T13:33:44.556Z"
Timestamp representing the date and time when the metadata schema was updated. The value for this parameter is shown in the ISO 8601 format.
"2022-08-11T08:05:30.695Z"
The type of the object represented by the JSON. This object stores information about the metadata schema.
Was this page helpful?